%global realname eper
%global debug_package %{nil}
%global commit 2a946220dd78bee759b39bce8194d8ae4d7912f8
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        Erlang Performance and Debugging Tools
Name:           erlang-%{realname}
Version:        0.90.0
Release:        1%{?dist}
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/massemanet/eper
Source0:        https://github.com/massemanet/eper/archive/%{commit}/%{realname}-%{commit}.tar.gz
Patch0:         eper-0001-unbundle-getopt.patch
BuildRequires:  erlang-kernel
BuildRequires:  erlang-stdlib
BuildRequires:  erlang-sasl
BuildRequires:  erlang-erts
BuildRequires:  erlang-rebar
BuildRequires:  erlang-rpm-macros >= 0.1.4
Requires:       erlang-kernel
Requires:       erlang-stdlib
Requires:       erlang-sasl
Requires:       erlang-erts
Requires:       erlang-gtknode
Requires:       erlang-getopt

%description
This is a loose collection of Erlang Performance related tools:

 * sherk - a profiler, similar to Linux oprofile or MacOs shark
 * gperf - a graphical performance monitor; shows CPU, memory and network usage
 * dtop  - similar to unix top
 * ntop   - visualizes network traffic
 * atop   - shows various aspects of the VM allocators
 * redbug - similar to the OTP dbg application, but safer, better etc.


%prep
%setup -qn %{realname}-%{commit}
%patch0 -p1 -b .getopt


%build
%rebar_compile


%install
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -d %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/bin
install -p -m 0755 priv/bin/{dtop,gperf,ntop,redbug,sherk} %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/bin
install -d %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/glade
install -p -m 0644 src/*.glade %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/glade


%clean
rm -rf %{buildroot}


%files
%doc AUTHORS README doc/redbug.txt
%license COPYING
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/bin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/glade/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/bin/*
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/glade/*.glade


%changelog
* Wed Jul 08 2015 Filip Andres <filip@andresovi.net> - 0.90.0-1
- Ver. 0.90

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-8.20120621git16bae32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-7.20120621git16bae32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-6.20120621git16bae32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-5.20120621git16bae32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-4.20120621git16bae32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-3.20120621git16bae32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.60-2.20120621git16bae32
- Latest git tag
- Minor spec cleanups

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.60-1.20120501git592ef2
- Ver. 0.60.gitc592ef2
